package com.ss.android.ugc.aweme.ml.api;

import X.M12;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.feed.model.Aweme;
import java.util.Map;

public final class SmartPreloadCommentV2ServiceDefault extends SmartPreloadCommentV2Service {
    static {
        Covode.recordClassIndex(92877);
    }

    public final boolean enable() {
        return false;
    }

    public final boolean ensureEvaluatorAvailable() {
        return false;
    }

    public final float smartJudge(Aweme aweme, Map<String, Object> map, Map<String, Object> map2) {
        M12.LIZ((Object) map, (Object) map2);
        return -1.0f;
    }
}
